io.agora.rtc

## Enum Constants.ContentInspectResult

- java.lang.Object
- - java.lang.Enum<Constants.ContentInspectResult>
  - - io.agora.rtc.Constants.ContentInspectResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.ContentInspectResult>
  Enclosing class:
    Constants

      public static enum Constants.ContentInspectResult
      extends java.lang.Enum<Constants.ContentInspectResult>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTENT_INSPECT_NEUTRAL`
    `CONTENT_INSPECT_PORN`
    `CONTENT_INSPECT_SEXY`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.ContentInspectResult` | `fromInt(int value)` Converts an integer value to its corresponding CONTENT_INSPECT_RESULT enum constant.
    `int` | `getValue()` Gets the integer value of the content inspect result.
    `static Constants.ContentInspectResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.ContentInspectResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTENT_INSPECT_NEUTRAL

          public static final Constants.ContentInspectResult CONTENT_INSPECT_NEUTRAL

    - #### CONTENT_INSPECT_SEXY

          public static final Constants.ContentInspectResult CONTENT_INSPECT_SEXY

    - #### CONTENT_INSPECT_PORN

          public static final Constants.ContentInspectResult CONTENT_INSPECT_PORN

  - ### Field Detail

    - #### value

          private final int value

  - ### Method Detail

    - #### values

          public static Constants.ContentInspectResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.ContentInspectResult c : Constants.ContentInspectResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.ContentInspectResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the content inspect result.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.ContentInspectResult fromInt(int value)

      Converts an integer value to its corresponding CONTENT_INSPECT_RESULT enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding CONTENT_INSPECT_RESULT, or null if the value is not found.